#include <gtk/gtk.h>
#include <glade/glade.h>

enum
{
	MP3,
	OGG,
	WAV
};

typedef struct FileTag
{
	int filetype;		/* Use the enum */
	gchar *artist;
	gchar *title;
	gchar *album;
	int track;
	gchar *genre;
	int year;
	gchar *comment;
	gchar *filepath;
} FileTag;

GladeXML *xml;
FileTag f;

// Functions
void cb_button_open_clicked (GtkButton * button, gpointer data);
void draw_window ();
void cb_button_apply_clicked (GtkButton * button, gpointer data);
void cb_button_about_clicked (GtkButton * button, gpointer data);
void cb_button_clear_clicked (GtkButton * button, gpointer data);
void cb_advanced_toggled();
void load_file (gchar * filepath);
void clear_tags ();
void init_filetag (FileTag * ft);
void read_tag (gchar * filepath);
void write_tag ();
