#include "musicbox.h"
#include <tag_c.h>

int
main (gint argc, gchar ** argv)
{
	gtk_init (&argc, &argv);
	glade_init ();

	draw_window ();
	taglib_set_strings_unicode (TRUE);

	if (argc > 1)
	{
		TagLib_File *f;
		f = taglib_file_new (argv[1]);
		if (f != NULL)
		{
			taglib_file_free (f);
			load_file (argv[1]);
		}
	}


	gtk_main ();

	return 0;
}
